Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026552
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-05-15 01:162014-06-10 22:23
ReporterjecharriView Statuspublic 
Assigned Toguillermogil 
PriorityhighResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revisione9d8dcaed86a
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026552: Openbravo is sending an email when the role should not receive due to role permissions

DescriptionOpenbravo is sending an email when the role should not receive due to role permissions
Steps To Reproduce-Configure a role with access to spain organizations
-Assign a user and configure user email
-Configure also client email

-Create an alert with the following sql

SELECT c_order_id AS REFERENCEKEY_ID,
       '0' AS AD_ROLE_ID,
       NULL AS AD_USER_ID,
       'Prueba' AS DESCRIPTION,
       'Y' AS ISACTIVE,
       AD_ORG_ID AS AD_ORG_ID,
       AD_CLIENT_ID AS AD_CLIENT_ID,
       NOW() AS CREATED,
       '0' AS CREATEDBY,
       NOW() AS UPDATED,
       '0' AS UPDATEDBY,
       AD_COLUMN_IDENTIFIER('C_order', C_order_ID, 'en_US') AS RECORD_ID
FROM c_order
where ad_org_id ='2E60544D37534C0B89E765FE29BC0B43' --> thi is US organization
limit 1

-Fill tab "alert recipient" with created role and check to send email

Run the alert process.

>Verify that you are not able to see the alert in the Openbravo interface but however you are receiving an email with the alert
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0067251)
hgbot (developer)
2014-05-19 12:47

Repository: erp/devel/pi
Changeset: e9d8dcaed86afdd98358f0b95ef44c179da9f8c3
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon May 19 12:43:51 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e9d8dcaed86afdd98358f0b95ef44c179da9f8c3 [^]

Fixed issue 26552: email sent when the role should not receive it

Alert's messages are now created taking into account if the record can be shown by the recipient role.

---
M src/org/openbravo/erpCommon/ad_process/AlertProcess.java
---
(0067325)
hudsonbot (developer)
2014-05-20 17:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8d555b8cf67e [^]
Maturity status: Test
(0067555)
dmitry_mezentsev (developer)
2014-05-29 10:17

Not closed for 10 days!
(0067679)
dmitry_mezentsev (developer)
2014-06-02 16:23

Reminder!
(0067735)
hgbot (developer)
2014-06-04 09:35

Repository: erp/devel/pi
Changeset: 9c7397ea50004999e7a53de210923096c9706d6d
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Wed Jun 04 09:34:40 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9c7397ea50004999e7a53de210923096c9706d6d [^]

Related to issue 26552:Wrong content of the e-mail

Applied code review
Removed duplicated code

---
M src/org/openbravo/erpCommon/ad_process/AlertProcess.java
---
(0067739)
AugustoMauch (developer)
2014-06-04 09:43

Code reviewed and verified in pi@fd3b5f95efb6
(0067877)
hudsonbot (developer)
2014-06-10 22:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/763f16c2ad2e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-15 01:16 jecharri New Issue
2014-05-15 01:16 jecharri Assigned To => AugustoMauch
2014-05-15 01:16 jecharri Web browser => Google Chrome
2014-05-15 01:16 jecharri Modules => Core
2014-05-15 01:17 jecharri Triggers an Emergency Pack => No
2014-05-15 08:26 alostale Web browser Google Chrome => Google Chrome
2014-05-15 08:26 alostale Target Version => PR14Q3
2014-05-15 13:07 guillermogil Assigned To AugustoMauch => guillermogil
2014-05-19 12:46 guillermogil Issue Monitored: AugustoMauch
2014-05-19 12:47 guillermogil Review Assigned To => AugustoMauch
2014-05-19 12:47 guillermogil Web browser Google Chrome => Google Chrome
2014-05-19 12:47 hgbot Checkin
2014-05-19 12:47 hgbot Note Added: 0067251
2014-05-19 12:47 hgbot Status new => resolved
2014-05-19 12:47 hgbot Resolution open => fixed
2014-05-19 12:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e9d8dcaed86afdd98358f0b95ef44c179da9f8c3 [^]
2014-05-20 17:53 hudsonbot Checkin
2014-05-20 17:53 hudsonbot Note Added: 0067325
2014-05-29 10:17 dmitry_mezentsev Note Added: 0067555
2014-06-02 16:23 dmitry_mezentsev Note Added: 0067679
2014-06-04 09:35 hgbot Checkin
2014-06-04 09:35 hgbot Note Added: 0067735
2014-06-04 09:43 AugustoMauch Note Added: 0067739
2014-06-04 09:43 AugustoMauch Status resolved => closed
2014-06-04 09:43 AugustoMauch Fixed in Version => PR14Q3
2014-06-10 22:23 hudsonbot Checkin
2014-06-10 22:23 hudsonbot Note Added: 0067877


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker